org.apache.cassandra.io.sstable

## Class SSTableMetadata

- java.lang.Object
- - org.apache.cassandra.io.sstable.SSTableMetadata

-     public class SSTableMetadata
      extends java.lang.Object

  Metadata for a SSTable. Metadata includes: - estimated row size histogram - estimated column count histogram - replay position - max column timestamp - compression ratio - partitioner - generations of sstables from which this sstable was compacted, if any - tombstone drop time histogram An SSTableMetadata should be instantiated via the Collector, openFromDescriptor() or createDefaultInstance()

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `SSTableMetadata.Collector`
    `static class` | `SSTableMetadata.SSTableMetadataSerializer`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `double` | `compressionRatio`
    `EstimatedHistogram` | `estimatedColumnCount`
    `EstimatedHistogram` | `estimatedRowSize`
    `StreamingHistogram` | `estimatedTombstoneDropTime`
    `long` | `maxTimestamp`
    `long` | `minTimestamp`
    `static double` | `NO_COMPRESSION_RATIO`
    `java.lang.String` | `partitioner`
    `ReplayPosition` | `replayPosition`
    `static SSTableMetadata.SSTableMetadataSerializer` | `serializer`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SSTableMetadata.Collector` | `createCollector()`
    `double` | `getDroppableTombstonesBefore(int gcBefore)` Get the amount of droppable tombstones
    `double` | `getEstimatedDroppableTombstoneRatio(int gcBefore)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NO_COMPRESSION_RATIO

          public static final double NO_COMPRESSION_RATIO

      See Also:
        Constant Field Values

    - #### serializer

          public static final SSTableMetadata.SSTableMetadataSerializer serializer

    - #### estimatedRowSize

          public final EstimatedHistogram estimatedRowSize

    - #### estimatedColumnCount

          public final EstimatedHistogram estimatedColumnCount

    - #### replayPosition

          public final ReplayPosition replayPosition

    - #### minTimestamp

          public final long minTimestamp

    - #### maxTimestamp

          public final long maxTimestamp

    - #### compressionRatio

          public final double compressionRatio

    - #### partitioner

          public final java.lang.String partitioner

    - #### estimatedTombstoneDropTime

          public final StreamingHistogram estimatedTombstoneDropTime

  - ### Method Detail

    - #### createCollector

          public static SSTableMetadata.Collector createCollector()

    - #### getEstimatedDroppableTombstoneRatio

          public double getEstimatedDroppableTombstoneRatio(int gcBefore)

      Parameters:
        `gcBefore` -
      Returns:
        estimated droppable tombstone ratio at given gcBefore time.

    - #### getDroppableTombstonesBefore

          public double getDroppableTombstonesBefore(int gcBefore)

      Get the amount of droppable tombstones
      Parameters:
        `gcBefore` - the gc time
      Returns:
        amount of droppable tombstones

Copyright © 2014 The Apache Software Foundation